{
  "name": "ui5-library",
  "version": "1.0.1",
  "description": "",
  "private": true,
  "keywords": [
    "UI5"
  ],
  "author": {
    "name": "Tom Van Doorslaer",
    "email": "Tom@fiddle.be"
  },
  "repository": {
    "type": "git",
    "url": "https://gitlab.com/fiddlebe/templates/library"
  },
  "scripts": {
    "test": "echo \"Error: no test specified. Please add some.\" && exit 1",
    "start": "fiori run --open \"index.html?sap-ui-xx-viewCache=false\"",
    "start-local": "fiori run --config ./ui5-local.yaml --open \"index.html?sap-ui-xx-viewCache=false#\"",
    "build": "grunt jsdoc && ui5 build --config=ui5.yaml --clean-dest --dest dist",
    "lint": "eslint ./ --rulesdir ./node_modules/eslint-plugin-fiori-custom/lib/rules/",
    "deploy": "npm run build && fiori deploy --config ui5-deploy.yaml && rimraf archive.zip",
    "deploy-config": "fiori add deploy-config",
    "undeploy": "fiori undeploy --config ui5-deploy.yaml",
    "deploy-test": "npm run build && fiori deploy --config ui5-deploy.yaml --testMode true"
  },
  "devDependencies": {
    "grunt": "latest",
    "jsdoc-x": "^4.0.3",
    "@babel/eslint-parser": "7.14.7",
    "@sap/ux-ui5-tooling": "1",
    "@ui5/cli": "^2.14.1",
    "eslint": "7.32.0",
    "eslint-plugin-fiori-custom": "2.2.1",
    "ui5-task-nwabap-deployer": "^2.1.0",
    "rimraf": "3.0.2"
  },
  "ui5": {
    "dependencies": [
        "@sap/ux-ui5-tooling",
        "ui5-task-nwabap-deployer"
    ]
  },
  "sapuxLayer": "CUSTOMER_BASE"  
}
